<?php

$this->setProperty('author', 'Davud');
if (rex::isBackend() && rex::getUser()) {

  rex_perm::register('rkmodulsammlung[]');

  rex_extension::register('PACKAGES_INCLUDED', function () {
    if (rex::getUser() && $this->getProperty('compile')) {

      $compiler = new rex_scss_compiler();

      $scss_files = rex_extension::registerPoint(new rex_extension_point('BE_STYLE_SCSS_FILES', [$this->getPath('scss/master.scss')]));
      $compiler->setScssFile($scss_files);
      $compiler->setCssFile($this->getPath('assets/css/styles.css'));
      $compiler->setCssFile($this->getPath('assets/css/fontawesome.css'));
      $compiler->compile();
      rex_file::copy($this->getPath('assets/css/styles.css'), $this->getAssetsPath('css/styles.css'));
      rex_file::copy($this->getPath('assets/css/fontawesome.css'), $this->getAssetsPath('css/fontawesome.css'));
        }
    });
  rex_view::addCssFile($this->getAssetsUrl('css/styles.css'));
  rex_view::addCssFile($this->getAssetsUrl('css/fontawesome.css'));
}

